/**
 * Copyright (c) 2021, WSO2 Inc. (http://www.wso2.com). All Rights Reserved.
 *
 * This software is the property of WSO2 Inc. and its suppliers, if any.
 * Dissemination of any information or reproduction of any material contained
 * herein in any form is strictly forbidden, unless permitted by WSO2 expressly.
 * You may not alter or remove any copyright or other notice from copies of this content."
 */

import { Notification, NotificationItem } from "@wso2is/i18n";

// eslint-disable-next-line @typescript-eslint/no-empty-interface
export interface Extensions {
    common: {
        help: {
            docSiteLink: string;
            helpCenterLink: string;
        };
    };
    console: {
        application: {
            quickStart: {
                technologySelectionWrapper: {
                    subHeading: string;
                };
                addUserOption:{
                    description: string;
                    hint: string;
                    message: string;
                };
            }
        }
    },
    develop: {
        identityProviders: {
            facebook: {
                quickStart: {
                    connectApp: {
                        description: string;
                    },
                    heading: string;
                    subHeading: string;
                }
            },
            github: {
                quickStart: {
                    connectApp: {
                        description: string;
                    },
                    heading: string;
                    subHeading: string;
                }
            },
            google: {
                quickStart: {
                    connectApp: {
                        description: string;
                    },
                    heading: string;
                    subHeading: string;
                }
            }
        }
    },
    manage: {
        attributes: {
            attributes: {
                description: string;
            };
        };
        features: {
            tenant: {
                header: {
                    tenantSwitchHeader: string;
                    tenantAddHeader: string;
                    tenantDefaultButton: string;
                    tenantMakeDefaultButton: string;
                    backButton: string;
                    tenantSearch: {
                        placeholder: string;
                        emptyResultMessage: string;
                    };
                };
                wizards: {
                    addTenant: {
                        heading: string;
                        forms: {
                            fields: {
                                tenantName: {
                                    label: string;
                                    placeholder: string;
                                    validations: {
                                        empty: string;
                                        duplicate: string;
                                        invalid: string;
                                        invalidLength: string;
                                    };
                                };
                            },
                            loaderMessages: {
                                duplicateCheck: string;
                                tenantCreate: string;
                                tenantSwitch: string;
                            },
                            messages: {
                                info: string;
                            };
                        },
                        tooltips: {
                            message: string;
                        };
                    };
                };
                notifications: {
                    addTenant: Notification;
                    defaultTenant: Notification;
                    missingClaims: NotificationItem;
                };
            };
        };
        serverConfigurations: {
            accountManagement: {
                accountRecovery: {
                    heading: string;
                    subHeading: string;
                    toggleName: string;
                };
            };
            additionalSettings: string;
        };
        groups: {
            edit: {
                users: {
                    heading: string;
                    description: string;
                }
            }
        };
    };
}
